Get auto-recharge config for a customer
curl --request GET \
--url https://api.example.com/v1/sdk/auto-recharge \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/sdk/auto-recharge"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/sdk/auto-recharge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"config": {
"enabled": true,
"failureCount": 0,
"monthlySpendMinor": 4500,
"topup": {
"amountMinor": 2000,
"currency": "USD",
"mode": "fixed"
},
"trigger": {
"thresholdAmountMinor": 500,
"type": "balance"
},
"updatedAt": "<string>",
"inFlightPaymentIntentId": "<string>",
"lastChargeAt": "<string>",
"lockAcquiredAt": "<string>",
"maxMonthlySpendMinor": 10000,
"monthlySpendPeriod": "2026-07",
"paymentMethodId": "<string>"
},
"display": {
"currency": "USD",
"exchangeRate": 1,
"formatted": {
"threshold": "$5.00",
"topup": "$20.00"
},
"rateSource": "live",
"thresholdAmountMajor": 5,
"topupAmountMajor": 20
}
}Auto Recharge
Get auto-recharge config for a customer
Returns the stored auto-recharge configuration (and display block) for the given customer, or a null config when none is set.
GET
/
v1
/
sdk
/
auto-recharge
Get auto-recharge config for a customer
Authorizations
Provider secret API key (sk_live_… / sk_test_…) supplied as a Bearer token.
Query Parameters
⌘I